--- make_piqp.m	2024-06-22 17:47:00.000000000 +0800
+++ make_piqp.m	2024-06-23 07:37:17.000000000 +0800
@@ -48,14 +48,14 @@
     eigen_include_dir = fullfile(piqp_octave_dir, 'src/eigen');
 else
     piqp_dir = fullfile(piqp_octave_dir, '../..');
-    eigen_include_dir = '/usr/local/include/eigen3';
+    eigen_include_dir = '@PREFIX@/include/eigen3';
 end
 
 %% piqp_oct
 if any(strcmpi(what,'oct')) || any(strcmpi(what,'all'))
    fprintf('Compiling PIQP Octave interface...\n');
 
-    mkoctfile('-O3', '-DNDEBUG', '-march=native', '-std=gnu++14', ...
+    mkoctfile('-O3', '-DNDEBUG', '-std=gnu++17', ...
              ['-I', fullfile(piqp_dir, 'include')], ...
              ['-I', eigen_include_dir], ...
              '-o', 'piqp_oct.oct', fullfile(piqp_dir, 'interfaces/octave/piqp_oct.cpp'));

--- src/piqp/interfaces/octave/make_piqp.m	2024-06-22 17:47:00.000000000 +0800
+++ src/piqp/interfaces/octave/make_piqp.m	2024-06-23 07:36:23.000000000 +0800
@@ -48,14 +48,14 @@
     eigen_include_dir = fullfile(piqp_octave_dir, 'src/eigen');
 else
     piqp_dir = fullfile(piqp_octave_dir, '../..');
-    eigen_include_dir = '/usr/local/include/eigen3';
+    eigen_include_dir = '@PREFIX@/include/eigen3';
 end
 
 %% piqp_oct
 if any(strcmpi(what,'oct')) || any(strcmpi(what,'all'))
    fprintf('Compiling PIQP Octave interface...\n');
 
-    mkoctfile('-O3', '-DNDEBUG', '-march=native', '-std=gnu++14', ...
+    mkoctfile('-O3', '-DNDEBUG', '-std=gnu++17', ...
              ['-I', fullfile(piqp_dir, 'include')], ...
              ['-I', eigen_include_dir], ...
              '-o', 'piqp_oct.oct', fullfile(piqp_dir, 'interfaces/octave/piqp_oct.cpp'));

--- src/eigen/bench/perf_monitoring/run.sh	2021-08-19 04:41:58.000000000 +0800
+++ src/eigen/bench/perf_monitoring/run.sh	2024-06-23 07:36:55.000000000 +0800
@@ -120,8 +120,8 @@
 #  echo $update et $selected et $rev_found because $rev et "$global_args"
 #  echo $count_rev et $count_ref
   if $update || [ $count_rev != $count_ref ] || ( $selected &&  $rev_found ); then
-    echo "RUN: $CXX -O3 -DNDEBUG -march=native $CXX_FLAGS -I eigen_src $bench.cpp -DSCALAR=$scalar -o $name"
-    if $CXX -O3 -DNDEBUG -march=native $CXX_FLAGS -I eigen_src $bench.cpp -DSCALAR=$scalar -o $name; then
+    echo "RUN: $CXX -O3 -DNDEBUG $CXX_FLAGS -I eigen_src $bench.cpp -DSCALAR=$scalar -o $name"
+    if $CXX -O3 -DNDEBUG $CXX_FLAGS -I eigen_src $bench.cpp -DSCALAR=$scalar -o $name; then
       curr=`./$name $settings_file`
       if [ $count_rev == $count_ref ]; then
         echo "merge previous $prev"

--- src/eigen/bench/tensors/eigen_sycl_bench.sh	2021-08-19 04:41:58.000000000 +0800
+++ src/eigen/bench/tensors/eigen_sycl_bench.sh	2024-06-23 07:36:38.000000000 +0800
@@ -7,7 +7,6 @@
 -I ../../ \
 -I ${COMPUTECPP_PACKAGE_ROOT_DIR}/include/ \
 -std=c++11 \
--march=native \
 -O3 \
 -DNDEBUG \
 -DEIGEN_MPL2_ONLY \
